| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions

# Tp::ChannelClassSpecList Class Reference

`#include </home/andrunko/work/telepathy/telepathy-qt4/TelepathyQt4/channel-class-spec.h>`

List of all members.

## Public Member Functions

- ChannelClassSpecList ()
- ChannelClassSpecList (const ChannelClassSpec &spec)
- ChannelClassSpecList (const QList< ChannelClassSpec > &other)
- ChannelClassSpecList (const ChannelClassList &classes)
- ChannelClassList bareClasses () const

## Constructor & Destructor Documentation

Tp::ChannelClassSpecList::ChannelClassSpecList | ( |  | ) | `[inline]`

Tp::ChannelClassSpecList::ChannelClassSpecList | ( | const ChannelClassSpec & | spec | ) | `[inline]`

Tp::ChannelClassSpecList::ChannelClassSpecList | ( | const QList< ChannelClassSpec > & | other | ) | `[inline]`

Tp::ChannelClassSpecList::ChannelClassSpecList | ( | const ChannelClassList & | classes | ) | `[inline]`

## Member Function Documentation

ChannelClassList Tp::ChannelClassSpecList::bareClasses | ( |  | ) | const`[inline]`